Search for __get

  1. Search 7.x for __get
  2. Search 9.5.x for __get
  3. Search 8.9.x for __get
  4. Search 10.3.x for __get
  5. Search 11.x for __get
  6. Other projects
Title Object type File name Summary
RouteCachingLanguageTest::$modules property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Modules to install.
RouteCachingLanguageTest::$webUser property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php A user with permissions to administer content types.
RouteCachingLanguageTest::providerLanguage function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Data provider for testFromUri().
RouteCachingLanguageTest::setUp function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php
RouteCachingLanguageTest::testLinkTranslationWithAlias function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Creates content with a link field pointing to an alias of another language.
RouteCompiler::getFit function core/lib/Drupal/Core/Routing/RouteCompiler.php Determines the fitness of the provided path.
RouteCompiler::getPathWithoutDefaults function core/lib/Drupal/Core/Routing/RouteCompiler.php Returns the path of the route, without placeholders with a default value.
RouteCompiler::getPatternOutline function core/lib/Drupal/Core/Routing/RouteCompiler.php Returns the pattern outline.
RouteCompilerTest::providerTestGetFit function core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Provides data for RouteCompilerTest::testGetFit()
RouteCompilerTest::testGetFit function core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Tests RouteCompiler::getFit().
RouteMatch::getParameter function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the processed value of a named route parameter.
RouteMatch::getParameterNames function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the names of all parameters for the currently matched route.
RouteMatch::getParameters function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the bag of all processed route parameters.
RouteMatch::getRawParameter function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the raw value of a named route parameter.
RouteMatch::getRawParameters function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the bag of all raw route parameters.
RouteMatch::getRouteName function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the route name.
RouteMatch::getRouteObject function core/lib/Drupal/Core/Routing/RouteMatch.php Returns the route object.
RouteMatchInterface::getParameter function core/lib/Drupal/Core/Routing/RouteMatchInterface.php Returns the processed value of a named route parameter.
RouteMatchInterface::getParameters function core/lib/Drupal/Core/Routing/RouteMatchInterface.php Returns the bag of all processed route parameters.
RouteMatchInterface::getRawParameter function core/lib/Drupal/Core/Routing/RouteMatchInterface.php Returns the raw value of a named route parameter.
RouteMatchInterface::getRawParameters function core/lib/Drupal/Core/Routing/RouteMatchInterface.php Returns the bag of all raw route parameters.
RouteMatchInterface::getRouteName function core/lib/Drupal/Core/Routing/RouteMatchInterface.php Returns the route name.
RouteMatchInterface::getRouteObject function core/lib/Drupal/Core/Routing/RouteMatchInterface.php Returns the route object.
RouteMatchTest::getRouteMatch function core/tests/Drupal/Tests/Core/Routing/RouteMatchTest.php Build a test route match object for the given implementation.
RouteMatchTestBase::getRouteMatch function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Build a test route match object for the given implementation.
RouteMatchTestBase::testGetParameter function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get parameter.
RouteMatchTestBase::testGetParameters function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get parameters.
RouteMatchTestBase::testGetRawParameter function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get raw parameter.
RouteMatchTestBase::testGetRawParameters function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get raw parameters.
RouteMatchTestBase::testGetRouteName function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get route name.
RouteMatchTestBase::testGetRouteObject function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get route object.
RouteMethodSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RouteMethodSubscriber.php
RouteNameCacheContext::getContext function core/lib/Drupal/Core/Cache/Context/RouteNameCacheContext.php Returns the string representation of the cache context.
RouteNameCacheContext::getLabel function core/lib/Drupal/Core/Cache/Context/RouteNameCacheContext.php Returns the label of the cache context.
RoutePreloader::getSubscribedEvents function core/lib/Drupal/Core/Routing/RoutePreloader.php
RoutePreloader::isGetAndHtmlRoute function core/lib/Drupal/Core/Routing/RoutePreloader.php Determines whether the given route is a GET and HTML route.
RouteProcessorManager::getOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Returns the sorted array of outbound processors.
RouteProcessorManagerTest::getMockProcessor function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Returns a mock Route processor object.
RouteProvider::getAllRoutes function core/tests/Drupal/KernelTests/RouteProvider.php Returns all the routes on the system.
RouteProvider::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProvider.php Returns all the routes on the system.
RouteProvider::getCandidateOutlines function core/lib/Drupal/Core/Routing/RouteProvider.php Returns an array of path pattern outlines that could match the path parts.
RouteProvider::getCandidateOutlines function core/tests/Drupal/KernelTests/RouteProvider.php
RouteProvider::getCurrentLanguageCacheIdPart function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the language identifier for the route collection cache.
RouteProvider::getQueryParametersCacheIdPart function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the query parameters identifier for the route collection cache.
RouteProvider::getRouteAliases function core/lib/Drupal/Core/Routing/RouteProvider.php Gets aliases for a route name.
RouteProvider::getRouteAliases function core/tests/Drupal/KernelTests/RouteProvider.php Gets aliases for a route name.
RouteProvider::getRouteByName function core/tests/Drupal/KernelTests/RouteProvider.php Find the route using the provided route name.
RouteProvider::getRouteByName function core/lib/Drupal/Core/Routing/RouteProvider.php Find the route using the provided route name.
RouteProvider::getRouteCollectionCacheId function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the cache ID for the route collection cache.
RouteProvider::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProvider.php Finds routes that may potentially match the request.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.